import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, ModalController } from 'ionic-angular';
import { Validators, FormBuilder, FormGroup } from "@angular/forms";
import { Myservice } from "../../providers/myservice";
import { dataService } from "../../providers/common.service";

@IonicPage()
@Component({
  selector: 'page-addcoupon',
  templateUrl: 'addcoupon.html',
})
export class AddcouponPage {
  promoForm: FormGroup
  rate = this.navParams.get('rate').split(' to ');
  promo = { 'amount': Number(this.rate[0]), discount: '0' }

  constructor(public navCtrl: NavController, public navParams: NavParams, public modalCtrl: ModalController, private formBuilder: FormBuilder, private myservice: Myservice, private data: dataService) {
    this.promoForm = this.formBuilder.group({
      promocode: [''],
      amount: ['']
    })
  }

  ionViewDidLoad() {
    console.log(this.rate)
    console.log('ionViewDidLoad AddcouponPage');
  }

  goBack() {
    this.navCtrl.pop();
  }

  pay() {
    // let modal = this.modalCtrl.create('ConfirmridePage');
    // modal.present();
    var booking = this.data.getbookingData()
    if (booking.type == 'later')
      this.navCtrl.push('ConfirmridePage');
    else
      this.navCtrl.push('');
    }

  checkCode() {
    this.myservice.show_loader();
    this.promoForm.controls['amount'].setValue(this.rate)
    this.myservice.load_post(this.promoForm.value, 'checkPromocode').subscribe(response => {
      this.myservice.hide_loader()
      if (response.status == 'success') {
        this.promo = response.data
      }
      else {
        this.myservice.show_alert('Error', response.message)
      }
    })
  }

}
